CREATE PROCEDURE POST_CONTRATOS
	@CODIGO_CONTRATO VARCHAR(10),
	@REPRESENTANTE_LEGAL INT,
	@PROVEEDOR INT,
	@INMUEBLE INT,
	@IMPORTE DECIMAL(15,2),
	@LITERAL VARCHAR(200),
	@CUENTA VARCHAR(20),
	@NUMEROMESES INT,
	@FECHAINICIALARRENDAMIENTO DATE,
	@FECHAFINALARRENDAMIENTO DATE,
	@FECHATENOR DATE,
	@MES VARCHAR(30),
	@ANIO VARCHAR(4)
AS BEGIN
INSERT INTO CONTRATOS (CODIGO_CONTRATO, REPRESENTANTE_LEGAL, PROVEEDOR, INMUEBLE, IMPORTE, LITERAL, CUENTA, NUMEROMESES, FECHAINICIALARRENDAMIENTO, FECHAFINALARRENDAMIENTO, FECHATENOR, MES, ANIO) 
VALUES (@CODIGO_CONTRATO, @REPRESENTANTE_LEGAL, @PROVEEDOR, @INMUEBLE, @IMPORTE, @LITERAL, @CUENTA, @NUMEROMESES, @FECHAINICIALARRENDAMIENTO, @FECHAFINALARRENDAMIENTO, @FECHATENOR, @MES, @ANIO);

SELECT
    C.ID,
	C.CODIGO_CONTRATO,
	L.PATERNO AS PATERNO_LEGAL,
	L.MATERNO AS MATERNO_LEGAL,
	L.NOMBRES AS NOMBRES_LEGAL,
	L.TESTIMONIO,
	L.FECHAINICIAL,
	L.FECHAFINAL,
	L.FECHATESTIMONIO,
	L.NUMERONOTARIA,
    P.PATERNO AS PATERNO_PROVEEDOR,
    P.MATERNO AS MATERNO_PROVEEDOR,
    P.NOMBRES AS NOMBRES_PROVEEDOR,
    P.DOCUMENTO AS DOCUMENTO_PROVEEDOR,
    P.DOMICILIO AS DOMICILIO_PROVEEDOR,
    I.DIRECCION AS DIRECCION_INMUEBLE,
    I.CIUDAD,
    I.SUPERFICIE,
    I.NUMERODIRECCION,
    C.IMPORTE,
	C.LITERAL,
	C.CUENTA,
	C.NUMEROMESES,
	C.FECHAINICIALARRENDAMIENTO,
	C.FECHAFINALARRENDAMIENTO, 
	C.FECHATENOR,
	C.MES,
	C.ANIO
FROM
  CONTRATOS C
  INNER JOIN REPRESENTANTE_LEGAL L ON C.REPRESENTANTE_LEGAL = L.ID
  INNER JOIN PROVEEDOR P ON C.PROVEEDOR = P.ID
  INNER JOIN INMUEBLE I ON C.INMUEBLE = I.ID
WHERE
	C.ID = SCOPE_IDENTITY()
END